<div dir="ltr"><div dir="ltr"><div class="gmail_default" style="font-size:small"><br></div></div><br><div class="gmail_quote"><div dir="ltr" class="gmail_attr">On Sun, 22 Aug 2021 at 11:18, bb <<a href="mailto:adamnt42@gmail.com">adamnt42@gmail.com</a>> wrote:<br></div><blockquote class="gmail_quote" style="margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">On Sun, 2021-08-22 at 10:57 +0100, Bruce Steers wrote:<br>
> On Sun, 22 Aug 2021 at 10:45, bb <<a href="mailto:adamnt42@gmail.com" target="_blank">adamnt42@gmail.com</a>> wrote:<br>
> <br>
> > On Sun, 2021-08-22 at 10:27 +0100, Bruce Steers wrote:<br>
> > > I'm getting Picture.Load() errors on Debian<br>
> > > <br>
> > > Having to convert something like<br>
> > > myObject.Picture = Picture.Load("icon:/22/play")<br>
> > > into<br>
> > > myObject.Picture = Stock["22/play"]<br>
> > > just to fix it.<br>
> > > <br>
> > > I thought it was just an old bug as i was using Debian10 and the<br>
> > > old<br>
> > > gambas<br>
> > > 3.12<br>
> > > But i just installed the new debian11 and the repo gambas 3.15<br>
> > > and<br>
> > > getting<br>
> > > the error on there.<br>
> > > <br>
> > > could it be missing a package?<br>
> > > <br>
> > > Cheers<br>
> > > BruceS<br>
> > > ----[ <a href="http://gambaswiki.org/wiki/doc/netiquette" rel="noreferrer" target="_blank">http://gambaswiki.org/wiki/doc/netiquette</a> ]----<br>
> > What UI?<br>
> > <br>
> <br>
> MATE and GNOME (i'm guessing all)<br>
> gtk3 and qt5 tested , same error<br>
> <br>
>> ----[ <a href="http://gambaswiki.org/wiki/doc/netiquette" rel="noreferrer" target="_blank">http://gambaswiki.org/wiki/doc/netiquette</a> ]----<br>
I have seen quite a lot of complaints elsewhere (outside Gambas) about<br>
that Debian release, especially for both gtk and qt5.<br>
Why it should affect what you are seeing is beyond me, but ...?<br>
I'd tend to wait a bit before changing code and see if they get their<br>
testic.. oops, I mean ducks sorted out.<br>
<br>
cheers<br>
b<br>
<br>
Oh and p.s. I tried the new version, broke it in approx 2 minutes with<br>
a python app, 2.1 minutes with a couple of MXLinux utilities and<br>
severed its pretty little head from a system backup. No problems since.<br></blockquote><div><br></div><div style="font-size:small" class="gmail_default">haha , to be honest i was thinking it was great (when i had Debian 11 SID/Testing)</div><div style="font-size:small" class="gmail_default">boot up was amazingly fast compared to any others and no problems with gambas 3.16</div><div style="font-size:small" class="gmail_default"><br></div><div style="font-size:small" class="gmail_default">Now i've installed the new "official" stable Debian11 (overwrote the old SID) and repo gambas 3,15 i'm getting issues :(</div><div style="font-size:small" class="gmail_default">hence my wondering if i'm just missing some other package i had on SID but not the others.</div><div style="font-size:small" class="gmail_default"><br></div><div style="font-size:small" class="gmail_default">BruceS<br></div></div></div>